Crazy Eddies GUI System: CEGUI::DefaultResourceProvider Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes
CEGUI::DefaultResourceProvider Class Reference
Inheritance diagram for CEGUI::DefaultResourceProvider:
[legend]
Collaboration diagram for CEGUI::DefaultResourceProvider:
[legend]

List of all members.

## Public Member Functions
void | setResourceGroupDirectory (const String &resourceGroup, const String &directory)
| Set the directory associated with a given resource group identifier.
const String & | getResourceGroupDirectory (const String &resourceGroup)
| Return the directory associated with the specified resource group identifier.
void | clearResourceGroupDirectory (const String &resourceGroup)
| clears any currently set directory for the specified resource group identifier.
void | loadRawDataContainer (const String &filename, RawDataContainer &output, const String &resourceGroup)
| Load XML data using InputSource objects.
void | unloadRawDataContainer (RawDataContainer &data)
| Unload raw binary data. This gives the resource provider a change to unload the data in its own way before the data container object is destroyed. If it does nothing, then the object will release its memory.
size_t | getResourceGroupFileNames (std::vector< String > &out_vec, const String &file_pattern, const String &resource_group)
## Protected Types
typedef std::map< String, String, String::FastLessCompare > | ResourceGroupMap
## Protected Member Functions
String | getFinalFilename (const String &filename, const String &resourceGroup) const
| Return the final path and filename, taking into account the given resource group identifier that should be used when attempting to load the data.
## Protected Attributes
ResourceGroupMap | d_resourceGroups

## Member Function Documentation

void CEGUI::DefaultResourceProvider::clearResourceGroupDirectory | ( | const String & | resourceGroup | ) |

clears any currently set directory for the specified resource group identifier.

Parameters:

  resourceGroup | The resource group identifier for which the associated directory is to be cleared.

const String& CEGUI::DefaultResourceProvider::getResourceGroupDirectory | ( | const String & | resourceGroup | ) |

Return the directory associated with the specified resource group identifier.

Parameters:

  resourceGroup | The resource group identifier for which the associated directory is to be returned.

Returns:
  String object describing the directory currently associated with resource group identifier resourceGroup.

Note:
  This member is not defined as being const because it may cause creation of an 'empty' directory specification for the resourceGroup if the resourceGroup has not previously been accessed.

size_t CEGUI::DefaultResourceProvider::getResourceGroupFileNames | ( | std::vector< String > & | out_vec,
|  | const String & | file_pattern,
|  | const String & | resource_group
| ) |  | `[virtual]`

enumerate the files in resource_group that match file_pattern and append thier names to out_vec

Implements CEGUI::ResourceProvider.

Reimplemented in CEGUI::MinizipResourceProvider.

void CEGUI::DefaultResourceProvider::loadRawDataContainer | ( | const String & | filename,
|  | RawDataContainer & | output,
|  | const String & | resourceGroup
| ) |  | `[virtual]`

Load XML data using InputSource objects.

Parameters:

  filename | String containing a filename of the resource to be loaded.
  output | Reference to a InputSourceContainer object to load the data into.

Load raw binary data.

Parameters:

  filename | String containing a filename of the resource to be loaded.
  output | Reference to a RawDataContainer object to load the data into.
  resourceGroup | Optional String that may be used by implementations to identify the group from which the resource should be loaded.

Implements CEGUI::ResourceProvider.

Reimplemented in CEGUI::MinizipResourceProvider, and CEGUI::IrrlichtResourceProvider.

void CEGUI::DefaultResourceProvider::setResourceGroupDirectory | ( | const String & | resourceGroup,
|  | const String & | directory
| ) |  |

Set the directory associated with a given resource group identifier.

Parameters:

  resourceGroup | The resource group identifier whose directory is to be set.
  directory | The directory to be associated with resource group identifier resourceGroup

Returns:
  Nothing.

void CEGUI::DefaultResourceProvider::unloadRawDataContainer | ( | RawDataContainer & |  | ) | `[virtual]`

Unload raw binary data. This gives the resource provider a change to unload the data in its own way before the data container object is destroyed. If it does nothing, then the object will release its memory.

Parameters:

  data | Reference to a RawDataContainer object that is about to be destroyed.

Reimplemented from CEGUI::ResourceProvider.

Reimplemented in CEGUI::IrrlichtResourceProvider.